%define	name	sdlroids
%define	version	1.3.4
%define	release	7mdk
%define	Summary	SDLRoids - an enhanced shoot-the-asteroids

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2
URL:		http://eongames.com/games/sdlroids/
Buildrequires:	libSDL1.2-devel ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SDLRoids is essentially an Asteroids clone, but with a few extra
features, and some nice game physics. It is based on xhyperoid, which
is a UNIX port of the 16-bit Windows game Hyperoid. Major changes from
xhyperoid are that it's using SDL for sound and graphics, has a couple
of extra powerups  and that the shield behaves differently.

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-rpath
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

%{__install} -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert icons/%{name}-16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert icons/%{name}-32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert icons/%{name}-48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
                icon=%{name}.png \
                needs="x11" \
                section="Amusement/Arcade" \
                title="SDLRoids"\
                longtitle="%{Summary}"
EOF

%post
%update_menus
  
%postun
%clean_menus 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.orig README.xhyperoid COPYING
%{_mandir}/man6/%{name}.6*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}

%changelog
* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.4-7mdk
- cleanups
- move stuff to %%{_gamesbindir} and %%{_gamesdatadir}
- change url
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install, not %%prep
- add icons

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-6mdk
- buildrequires

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-5mdk
- rebuild

* Thu Aug 15 2002 Daouda LO <daouda@mandrakesoft.com> 1.3.4-4mdk
- rebuild for new vorbis stuffs.

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-3mdk
- rebuild against new alsa
- fix menu file

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-2mdk
- rebuild

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-1mdk
- updated to 1.3.4

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-3mdk
- rebuild

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-2mdk
- added menu entry
- updated description from David Hedbor <david@hedbor.org>

* Tue Nov 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-1mdk
- updated to 1.3.3

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- new in contribs
